6.0.0-git
2019-03-23

[#14094] Update World Weather Online to v2 API.
Summary Update World Weather Online to v2 API.
Queue Horde Framework Packages
Type Enhancement
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester stefan (at) raptorweb (dot) nl
Created 2015-08-27 (1304 days ago)
Due
Updated 2015-08-29 (1302 days ago)
Assigned 2015-08-27 (1304 days ago)
Resolved 2015-08-29 (1302 days ago)
Milestone
Patch No

History
2015-08-29 03:02:33 Michael Rubinsky Comment #5
State ⇒ Resolved
Reply to this comment
Support for v2 added in Horde_Service_Weather 2.2.0.

Needs configuration change in Horde to switch to v2 though. Support is 
present in git, but not yet in released PEAR pacakges. To enable this 
before the next Horde application release add the following to the 
very end of your horde/config/conf.php file:

$conf['weather']['params']['apiversion'] = '2';

This is needed because the version 1 api is still supported for 
existing accounts and we default to version 1 in code for BC.


2015-08-29 02:52:59 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (master):

commit 29a15a5ad62ff857704ffd5e4dc12d6a33c93acf
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Fri Aug 28 22:39:28 2015 -0400

     Update to support WWO's version 2 API.

     Part of Ticket: 14094

  .../lib/Horde/Service/Weather/Forecast/Wwov2.php   |   59 +++++++++++
  .../lib/Horde/Service/Weather/Period/Wwov2.php     |  110 
++++++++++++++++++++
  .../lib/Horde/Service/Weather/Wwo.php              |   47 +++++++--
  framework/Service_Weather/package.xml              |   10 ++-
  4 files changed, 216 insertions(+), 10 deletions(-)

http://github.com/horde/horde/commit/29a15a5ad62ff857704ffd5e4dc12d6a33c93acf
2015-08-27 14:07:03 Michael Rubinsky Comment #3
Type ⇒ Enhancement
Version ⇒
Queue ⇒ Horde Framework Packages
State ⇒ Assigned
Priority ⇒ 1. Low
Reply to this comment
Moving to Framework queue since this is in Horde_Service_Weather.
2015-08-27 14:05:44 Michael Rubinsky Comment #2
Assigned to Michael Rubinsky
Summary ⇒ Update World Weather Online to v2 API.
State ⇒ Assigned
Reply to this comment
The version 1 API still works, however no new v1 API keys are given 
out, so existing accounts still function but new accounts do not.

...explains why I haven't noticed this issue yet since I use WWO on my 
portal page :)

2015-08-27 13:26:57 stefan (at) raptorweb (dot) nl Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ World weather API for Horde not working
Queue ⇒ Horde Base
Milestone ⇒
Patch ⇒ No
Reply to this comment
The world weather API for Horde (under Horde configuration -> API 
keys) is no longer working. Generating a working key at World Weather 
and entering it gives an error ('7ad3ab4a500796a1a' is not a valid key 
for 'Free-Weather-API).
After inquiring with World Weather I got the following response:

The key is Free API V2 and in your application you are using v1 url

I've asked what the new URL should be, but no reply yet


Saved Queries